InstallationTypeSelectorHandle (install4j API)
Description: declaration: package: com.install4j.api.test.ui, interface: InstallationTypeSelectorHandle

# Interface InstallationTypeSelectorHandle

public interface InstallationTypeSelectorHandle
Drives the JTree on an "Installation type" screen.

Reach this handle via `ScreenHandle.installationTypeSelector()`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InstallationTypeSelectorHandle`
  `assertSelectedType(String typeId)`
  Assert that `typeId` is currently selected.
  `List<String>`
  `getAvailableTypeIds()`
  The ids of every installation type displayed on this screen.
  `String`
  `getSelectedTypeId()`
  The id of the currently selected installation type, or empty if nothing is selected.
  `String`
  `getTypeDescription(String typeId)`
  Description of the installation type with the given id.
  `String`
  `getTypeName(String typeId)`
  Display name of the installation type with the given id.
  `boolean`
  `isTypeUserCanCustomize(String typeId)`
  Whether the installation type with the given id lets the user customize the component selection afterward.
  `InstallationTypeSelectorHandle`
  `selectType(String typeId)`
  Select an installation type.

- ## Method Details

  - ### getAvailableTypeIds

    @NotNull List<String> getAvailableTypeIds()
    The ids of every installation type displayed on this screen.

  - ### getSelectedTypeId

    @NotNull String getSelectedTypeId()
    The id of the currently selected installation type, or empty if nothing is selected.

  - ### getTypeName

    @NotNull String getTypeName(@NotNull String typeId)
    Display name of the installation type with the given id.

  - ### getTypeDescription

    @NotNull String getTypeDescription(@NotNull String typeId)
    Description of the installation type with the given id.

  - ### isTypeUserCanCustomize

    boolean isTypeUserCanCustomize(@NotNull String typeId)
    Whether the installation type with the given id lets the user customize the component selection afterward. This controls the visibility of the subsequent components screen.

  - ### selectType

    @NotNull InstallationTypeSelectorHandle selectType(@NotNull String typeId)
    Select an installation type.

  - ### assertSelectedType

    @NotNull InstallationTypeSelectorHandle assertSelectedType(@NotNull String typeId)
    Assert that `typeId` is currently selected.